<template>
  <div>
    <Project-title></Project-title>
    <Project-content v-bind:menu="menu">
      <div v-html="content"></div>
    </Project-content>
  </div>
</template>

<script>
import ProjectTitle from '../../components/ProjectTitle.vue'
import ProjectContent from '../../components/ProjectContent.vue'
import { introduction } from '../../action/axiosService.js'

export default {
  components: {
    ProjectTitle,
    ProjectContent
  },
  data() {
    return {
      // 这个是传给组件的项目列表
      menu: [{ name: '联系我们', url: '' }],
      content: '',
      tag: '联系我们'
    }
  },
  mounted() {
    const that = this
    introduction({
      tag: '联系我们',
      cb: function(obj) {
        that.content = obj
      }
    })
  }
}
</script>
<style scoped></style>
